Bug 97988 - XServer Won't Start
XServer Won't Start
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
mips64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-06-24 20:13 EDT by Mark dos Santos
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-30 20:02:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
This is the dmesg file (5.05 KB, text/plain)
2003-06-24 20:14 EDT, Mark dos Santos
no flags Details
This is the messages file (75.65 KB, text/plain)
2003-06-24 20:14 EDT, Mark dos Santos
no flags Details
XF86Config file (3.09 KB, text/plain)
2003-06-24 20:15 EDT, Mark dos Santos
no flags Details
XFree86.0 file (2.24 KB, text/plain)
2003-06-24 20:15 EDT, Mark dos Santos
no flags Details

  None (edit)
Description Mark dos Santos 2003-06-24 20:13:27 EDT
Description of problem:
Error loading font server on boot.

Version-Release number of selected component (if applicable):

How reproducible:
Occurs on boot

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Mark dos Santos 2003-06-24 20:14:30 EDT
Created attachment 92601 [details]
This is the dmesg file
Comment 2 Mark dos Santos 2003-06-24 20:14:49 EDT
Created attachment 92602 [details]
This is the messages file
Comment 3 Mark dos Santos 2003-06-24 20:15:10 EDT
Created attachment 92603 [details]
XF86Config file
Comment 4 Mark dos Santos 2003-06-24 20:15:29 EDT
Created attachment 92604 [details]
XFree86.0 file
Comment 5 Mike Chambers 2003-06-25 00:15:44 EDT
Please try posting *what* the problem is, show the error messages that you
receive and anything else that you left out of your bug report.  If you can't
take the time to fill in the report, then how can you expect anyone else to take
the time to read your logs *just* to get that information, then trying to figure
out what is wrong?

Closing and changing to WONTFIX due to insufficent data.  Resubmit a *new* bug
report, and please fill in all the information, *then* attach the pertinent
log/config files.
Comment 6 Mike A. Harris 2003-06-25 01:59:06 EDT
I just looked at this, and have a few comments, which may help future bug
reporting, etc:

- XFree86-Servers doesn't exist in Red Hat Linux 9, as it is XFree86 3.3.6
  which last shipped in Red Hat Linux 7.3

- This report was flagged as Platform==mips32 and Red Hat does not have an
  OS product for the MIPS processor platforms.  Red Hat Linux 9 is available
  for x86 and compatible processors only.  We do not support XFree86 on MIPS.
  I assume the reporter mistakenly chose mips32 instead of "All" or "i386".

- The attached log files clearly show xfs starting up properly.  While it
  logs a few messages about font paths configured that don't exist, those
  are NOT errors, they are harmless informative messages.  Reconfigure the
  font server to not contain those font paths for the message to go away.  In
  either case, it does not affect the operation of xfs at all in any way.

- The attached log file shows that the X server is unable to find the X
  server modules, which is indicative of either:

1) A misconfiguration
2) The module files being deleted from the hard disk, or otherwise unavailable
3) Misinstallation
4) Hard disk or system corruption

Any of the above 4 issues are not XFree86 bugs, but are system problems which
fall into the category of technical support.  Bugzilla isn't a tech support
forum however, just a bug tracker.  You may nonetheless receive tech support
by mailing one of Red Hat or XFree86.org's mailing lists.  xfree86@xfree86.org
is probably the best place for seeking XFree86 related tech support.

Hope this helps.

Reopening bug and closing 'NOTABUG'

Comment 7 Mark dos Santos 2003-06-30 15:46:09 EDT
Ok.  The summary I entered "Error loading font server on boot." is exactly 
what the Redhat support technician told me to enter.  The supplied logs give 
details about the error.

Mike Chambers closed the previous bug report out of laziness - please read the 
logs supplied in bug report 97988 - if he/you find the summary to be 
inaccurate, update the summary, don't close the bug report.  This was typical 
of a back room technical support person who is arrogant and too lazy to make 
the effort to solve the problem at hand.  Get some sleep and take a look at it 
again in the morning!

I've updated and am resubmitting this as the bug report - please reference the 


Comment 8 Mark dos Santos 2003-06-30 15:47:48 EDT
To further clarify, this is a bug (as identified by Redhat Technical support) 
which prevents the XServer from starting.
Comment 9 Mike A. Harris 2003-06-30 17:59:03 EDT
Mike Chambers is a Red Hat Linux user, such as yourself, and not an employee.
Anyone in the general public can add comments to bug reports and/or close them
if they feel it appropriate.  Bugzilla is a public service, and is unmoderated.

This bug report as it stands right now, does not contain enough information in
it to even conclude that there is an XFree86 bug.  Everything in the bug report
points to there being a system misconfiguration or massive filesystem corruption
or something.

There is no information on how to reproduce this problem contained in this bug
report, which results in anyone randomly being able to reproduce it and thus
troubleshoot it.  As such, it is not a bug report at this point, but a technical
support request, and we do not handle technical support via bugzilla.

You will need to troubleshoot the problem to find out exactly why X is not
starting on your system, either using Red Hat technical support, or a mailing
list, at which point if an actual XFree86 bug is found, which I believe is
rather unlikely from the logs you've provided - I can then look into the issue
as a real bug report.

I apologize if Red Hat technical support sent you to bugzilla prematurely,
and if you're inconvenienced by this, but bugzilla is not for technical
support, and I do not see a bug being reported here currently.
Comment 10 Mark dos Santos 2003-06-30 18:44:52 EDT
If there is not enough logging output provided, perhaps I can post other logs 
to determine the cause of this error.  It is premature at this point to 
determine that this is or isn't a bug, based on the quality of your 
participation here.

Redhat technical support has ruled out the possibility of misconfiguration.

I've seen several postings on the web regarding this, all with no answer.  We 
need to focus on being more responsible in responding to issues like this for 
the sake of the open source community.  Responses from community members like 
Mike Harris' and Mike Chambers' weaken the open source development process.  
That type of response is why this issue still exists and why it will continue 
to exist and hamper the development process of Redhat's Linux.

I am reopening this bug since it cannot be determined to be not a bug.  The 
only acceptable basis for closure could be that it is not reproducible.

Please give other members an opportunity to investigate this or cease posting.

Comment 11 Mike A. Harris 2003-06-30 20:00:12 EDT
Bugzilla is not a technical support forum, and this issue will not be
investigated as a bug report until sufficient evidence is presented in the
bug report to conclude that it is infact a bug, or that it is likely to
be a bug, as we do not provide technical support in bugzilla.

I have made a request internally for tech support to re-evaluate this problem,
and if you'll be kind enough to give me the name of the person in technical
support, I would be more than glad to contact them directly and discuss this
with them.  I would like nothing more than for you to have a solution to your
problem, however bugzilla isn't a technical support forum as I mentioned above.

Unless there is a specific bug being reported, there is nothing that I can
do to investigate the issue.  "My system doesn't start" unfortunately is far
to vague, and does not at all indicate that there is a bug in XFree86 which
is causing this problem.  Your problem could be caused by out of disk space,
disk corruption, or any of a number of issues.

Comment 12 Mike A. Harris 2003-06-30 20:02:03 EDT
Re closing again as NOTABUG, due to the reasons cited above, and the fact
that your X server installation is broken, as evidenced by the server being
unable to locate the server modules shown in your X server log.

Again, provide me the name of the person in tech support you've spoken with, and
I will make sure they are on the right track to assist you.

Note You need to log in before you can comment on or make changes to this bug.